local lapis = require("lapis")
local app = lapis.Application()

local util = require("util")

app:enable("etlua")
app.layout = require "views.base"

local function inject_methods(req)
  req.avatar_url = util.get_user_avatar_url
  req.ntob = function(_, v)
    return util.ntob(v)
  end
end

app:before_filter(inject_methods)

app:include("apps.users", {path = "/user"})
app:include("apps.topics", {path = "/topics"})
app:include("apps.threads", {path = "/threads"})

app:get("/", function()
  return "Welcome to Lapis " .. require("lapis.version")
end)

return app
